summaryrefslogtreecommitdiffstats
path: root/source/d/cscope/cscope.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-11-09 02:42:22 +0000
committer Eric Hameleers <alien@slackware.com>2018-11-09 08:59:43 +0100
commit0e6f7049d6a514115df0164db47fbd8763cf5148 (patch)
tree0805050a25bba0fe7e12fbe2acfe18ac846e7d3c /source/d/cscope/cscope.SlackBuild
parentfa6118f0a78c511877bf875a9b8f119e1a46eb6f (diff)
downloadcurrent-20181109024222.tar.gz
current-20181109024222.tar.xz
Fri Nov 9 02:42:22 UTC 201820181109024222
a/efibootmgr-16-x86_64-2.txz: Rebuilt. Reverted to previous version. We'd tried this before and it still doesn't work. Thanks to _RDS_. a/efivar-35-x86_64-1.txz: Upgraded. Reverted to previous version. We'd tried this before and it still doesn't work. Thanks to _RDS_. a/hwdata-0.317-noarch-1.txz: Upgraded. a/lvm2-2.03.01-x86_64-1.txz: Upgraded. a/quota-4.04-x86_64-1.txz: Upgraded. ap/cups-2.2.9-x86_64-1.txz: Upgraded. ap/sysstat-12.0.2-x86_64-1.txz: Upgraded. d/cscope-15.9-x86_64-1.txz: Upgraded. d/distcc-3.3.2-x86_64-1.txz: Upgraded. d/nasm-2.14-x86_64-1.txz: Upgraded. d/oprofile-1.3.0-x86_64-1.txz: Upgraded. d/rust-1.30.1-x86_64-1.txz: Upgraded. l/elfutils-0.174-x86_64-1.txz: Upgraded. l/shared-mime-info-1.10-x86_64-1.txz: Upgraded. n/samba-4.9.2-x86_64-1.txz: Upgraded. xap/gimp-2.10.8-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/d/cscope/cscope.SlackBuild')
-rwxr-xr-xsource/d/cscope/cscope.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/source/d/cscope/cscope.SlackBuild b/source/d/cscope/cscope.SlackBuild
index 4ebf2c36a..1f4ea40fb 100755
--- a/source/d/cscope/cscope.SlackBuild
+++ b/source/d/cscope/cscope.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cscope
-VERSION=${VERSION:-$(echo $(basename $(echo $PKGNAM-*.tar.xz | cut -f 2 -d -) .tar.xz) | cut -f 2 -d -)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,7 +74,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-$VERSION
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
chown -R root:root .
find . \
@@ -88,7 +88,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --build=${ARCH}-slackware-linux
+ --build=${ARCH}-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1